/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.PersonnelManagement;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.UploadImages;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.PersonnelManagementMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.UploadImagesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 图片Service
 * @author
 * @version 2019-11-08
 */
@Service
@Transactional(readOnly = true)
public class UploadImagesService extends CrudService<UploadImagesMapper, UploadImages> {

	@Autowired
	private UploadImagesMapper uploadImagesMapper;

	@Override
	public UploadImages get(String id) {
		return super.get(id);
	}

	@Override
	public List<UploadImages> findList(UploadImages entity) {
		return super.findList(entity);
	}

	@Override
	public List<UploadImages> findListBy(List<UploadImages> entity) {
		return super.findListBy(entity);
	}

	@Override
	public List<UploadImages> findAllList(UploadImages entity) {
		return super.findAllList(entity);
	}

	@Override
	@Transactional(readOnly = false)
	public void save(UploadImages entity) {
		super.save(entity);
	}

	@Transactional(readOnly = false)
	public void insert(UploadImages entity) {
		entity.preInsert();
		uploadImagesMapper.insert(entity);
	}
}